## EvSidebar EvSidebar |

## Functions

GtkWidget * | ev_sidebar_new ()
void | ev_sidebar_add_page ()
void | ev_sidebar_set_page ()
void | ev_sidebar_set_model ()

## Properties

gchar * | active-icon-name | Read
GtkWidget * | current-page | Read / Write

## Types and Values

struct | EvSidebar
struct | EvSidebarClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EvSidebar

## Implemented Interfaces

EvSidebar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ev_sidebar_new ()

    GtkWidget *
    ev_sidebar_new (void);

### ev_sidebar_add_page ()

    void
    ev_sidebar_add_page (EvSidebar *ev_sidebar,
                         GtkWidget *widget,
                         const gchar *name,
                         const gchar *title,
                         const gchar *icon_name);

### ev_sidebar_set_page ()

    void
    ev_sidebar_set_page (EvSidebar *ev_sidebar,
                         GtkWidget *main_widget);

### ev_sidebar_set_model ()

    void
    ev_sidebar_set_model (EvSidebar *ev_sidebar,
                          EvDocumentModel *model);

## Types and Values

### struct EvSidebar

    struct EvSidebar;

### struct EvSidebarClass

    struct EvSidebarClass {
    	GtkBoxClass base_class;
    };

## Property Details

### The `“active-icon-name”` property

      “active-icon-name”         gchar *

The icon name of the currently visible page.

Flags: Read

Default value: NULL

### The `“current-page”` property

      “current-page”             GtkWidget *

The currently visible page.

Flags: Read / Write